


import 'package:json_annotation/json_annotation.dart';

part 'lesson_home_work.g.dart';
@JsonSerializable()
class HomeworkList {
  String? homeworkListId;
  String? partId;
  String? title;
  // Null? content;
  String? questionLink;
  String? answerLink;
  // Null? answerContent;
  int? sortorder;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  // Null? lessonId;
  bool? changeQuestionLink;
  bool? changeAnswerLink;
  bool? supportSubmitAnswer;
  int? totalQuestion;

  HomeworkList(
      {this.homeworkListId,
        this.partId,
        this.title,
        // this.content,
        this.questionLink,
        this.answerLink,
        // this.answerContent,
        this.sortorder,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        // this.lessonId,
        this.changeQuestionLink,
        this.changeAnswerLink,
        this.supportSubmitAnswer,
        this.totalQuestion});

  factory HomeworkList.fromJson(Map<String, dynamic> json) => _$HomeworkListFromJson(json);

  Map<String, dynamic> toJson() => _$HomeworkListToJson(this);
}