

import 'package:json_annotation/json_annotation.dart';

part 'lesson_play.g.dart';
@JsonSerializable()
class Playlist {
  String? playlistId;
  String? partId;
  String? title;
  String? content;
  String? link;
  int? sortorder;
  int? createDate;
  String? createUser;
  // Null? updateDate;
  // Null? updateUser;

  Playlist(
      {this.playlistId,
        this.partId,
        this.title,
        this.content,
        this.link,
        this.sortorder,
        this.createDate,
        this.createUser,
        // this.updateDate,
        // this.updateUser
      });

  factory Playlist.fromJson(Map<String, dynamic> json) => _$PlaylistFromJson(json);

  Map<String, dynamic> toJson() => _$PlaylistToJson(this);
}